﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid.Grouping;
using Syncfusion.Grouping;

namespace GridGroupingControl_Demo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.gridGroupingControl1.ThemesEnabled = true;
            this.gridGroupingControl1.GridVisualStyles = Syncfusion.Windows.Forms.GridVisualStyles.Metro;
            this.gridGroupingControl1.TableOptions.AllowSelection = Syncfusion.Windows.Forms.Grid.GridSelectionFlags.None;
            this.gridGroupingControl1.TableOptions.ListBoxSelectionMode = SelectionMode.MultiExtended;
            this.gridGroupingControl1.TableModel.Options.SelectCellsMouseButtonsMask = System.Windows.Forms.MouseButtons.Left;
            this.gridGroupingControl1.TableControlMouseDown += new GridTableControlMouseEventHandler(gridGroupingControl1_TableControlMouseDown);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable data = new DataTable();
            data.Columns.Add("Sample Test");
            data.Columns.Add("Data1");
            data.Columns.Add("Data2");
            data.Columns.Add("Data3");
            for (int i = 0; i < 5; i++)
            {
                Random rand = new Random();
                data.Rows.Add("Sample data1", rand.Next(100), rand.Next(10), rand.Next(20));
            }

            this.gridGroupingControl1.DataSource = data;
            
        }

        void gridGroupingControl1_TableControlMouseDown(object sender, GridTableControlMouseEventArgs e)
        {
            if (e.Inner.Button == System.Windows.Forms.MouseButtons.Right)
            {
                if (this.gridGroupingControl1.Table.SelectedRecords != null)
                {
                    foreach (SelectedRecord rec in this.gridGroupingControl1.Table.SelectedRecords)
                    {
                        this.gridGroupingControl1.Table.SelectedRecords.Remove(rec);
                    }
                }
            }
        }
    }
}
